### Hierarchy

- NodeInstanceEntityTypeService

### Implements

- INodeInstanceEntityTypeService

## Index

### Constructors

- constructor

### Properties

- _datastoreService
- _eventAggregator
- _featureService
- _iamService
- _messagebusService
- _processEngineService
- _routingService

### Accessors

- datastoreService
- eventAggregator
- featureService
- iamService
- messagebusService
- processEngineService
- routingService

### Methods

- _nodeHandler
- _nodeHandlerMessagebus
- continueExecution
- continueFromRemote
- createNextNode
- createNode
- getEntityTypeFromBpmnType
- subscibeToNodeChannels

## Constructors

### constructor

- new NodeInstanceEntityTypeService(datastoreService: IDatastoreService, messagebusService: IMessageBusService, iamService: IIamService, eventAggregator: IEventAggregator, featureService: IFeatureService, routingService: IRoutingService, processEngineService: IProcessEngineService): NodeInstanceEntityTypeService

- - Defined in entity_type_services/node_instance.ts:55

  #### Parameters

  - ##### datastoreService: IDatastoreService

  - ##### messagebusService: IMessageBusService

  - ##### iamService: IIamService

  - ##### eventAggregator: IEventAggregator

  - ##### featureService: IFeatureService

  - ##### routingService: IRoutingService

  - ##### processEngineService: IProcessEngineService

  #### Returns NodeInstanceEntityTypeService

## Properties

### Private _datastoreService

_datastoreService: IDatastoreService = undefined

- Defined in entity_type_services/node_instance.ts:49

### Private _eventAggregator

_eventAggregator: IEventAggregator = undefined

- Defined in entity_type_services/node_instance.ts:51

### Private _featureService

_featureService: IFeatureService = undefined

- Defined in entity_type_services/node_instance.ts:53

### Private _iamService

_iamService: IIamService = undefined

- Defined in entity_type_services/node_instance.ts:52

### Private _messagebusService

_messagebusService: IMessageBusService = undefined

- Defined in entity_type_services/node_instance.ts:50

### Private _processEngineService

_processEngineService: IProcessEngineService = undefined

- Defined in entity_type_services/node_instance.ts:55

### Private _routingService

_routingService: IRoutingService = undefined

- Defined in entity_type_services/node_instance.ts:54

## Accessors

### Private datastoreService

- get datastoreService(): IDatastoreService

- - Defined in entity_type_services/node_instance.ts:70

  #### Returns IDatastoreService

### Private eventAggregator

- get eventAggregator(): IEventAggregator

- - Defined in entity_type_services/node_instance.ts:78

  #### Returns IEventAggregator

### Private featureService

- get featureService(): IFeatureService

- - Defined in entity_type_services/node_instance.ts:86

  #### Returns IFeatureService

### Private iamService

- get iamService(): IIamService

- - Defined in entity_type_services/node_instance.ts:82

  #### Returns IIamService

### Private messagebusService

- get messagebusService(): IMessageBusService

- - Defined in entity_type_services/node_instance.ts:74

  #### Returns IMessageBusService

### Private processEngineService

- get processEngineService(): IProcessEngineService

- - Defined in entity_type_services/node_instance.ts:94

  #### Returns IProcessEngineService

### Private routingService

- get routingService(): IRoutingService

- - Defined in entity_type_services/node_instance.ts:90

  #### Returns IRoutingService

## Methods

### Private _nodeHandler

- _nodeHandler(event: any, binding: Binding): Promise<void>

- - Defined in entity_type_services/node_instance.ts:98

  #### Parameters

  - ##### event: any

  - ##### binding: Binding

  #### Returns Promise<void>

### Private _nodeHandlerMessagebus

- _nodeHandlerMessagebus(msg: any, binding: Binding): Promise<void>

- - Defined in entity_type_services/node_instance.ts:153

  #### Parameters

  - ##### msg: any

  - ##### binding: Binding

  #### Returns Promise<void>

### continueExecution

- continueExecution(context: ExecutionContext, source: IEntity): Promise<void>

- - Defined in entity_type_services/node_instance.ts:343

  #### Parameters

  - ##### context: ExecutionContext

  - ##### source: IEntity

  #### Returns Promise<void>

### continueFromRemote

- continueFromRemote(context: ExecutionContext, params: IParamsContinueFromRemote, options?: IPublicGetOptions): Promise<void>

- - Defined in entity_type_services/node_instance.ts:529

  #### Parameters

  - ##### context: ExecutionContext

  - ##### params: IParamsContinueFromRemote

  - ##### Optional options: IPublicGetOptions

  #### Returns Promise<void>

### createNextNode

- createNextNode(context: ExecutionContext, source: any, nextDef: any, token: any): Promise<IEntity>

- - Defined in entity_type_services/node_instance.ts:248

  #### Parameters

  - ##### context: ExecutionContext

  - ##### source: any

  - ##### nextDef: any

  - ##### token: any

  #### Returns Promise<IEntity>

### createNode

- createNode(context: ExecutionContext, entityType: IEntityType<IEntity>): Promise<IEntity>

- - Defined in entity_type_services/node_instance.ts:201

  #### Parameters

  - ##### context: ExecutionContext

  - ##### entityType: IEntityType<IEntity>

  #### Returns Promise<IEntity>

### getEntityTypeFromBpmnType

- getEntityTypeFromBpmnType<TEntity>(bpmnType: "bpmn:UserTask" | "bpmn:ExclusiveGateway" | "bpmn:ParallelGateway" | "bpmn:ServiceTask" | "bpmn:StartEvent" | "bpmn:EndEvent" | "bpmn:IntermediateCatchEvent" | "bpmn:IntermediateThrowEvent" | "bpmn:ScriptTask" | "bpmn:BoundaryEvent" | "bpmn:CallActivity" | "bpmn:SubProcess"): Promise<IEntityType<TEntity>>

- - Defined in entity_type_services/node_instance.ts:228

  #### Type parameters

  - #### TEntity: IEntity

  #### Parameters

  - ##### bpmnType: "bpmn:UserTask" | "bpmn:ExclusiveGateway" | "bpmn:ParallelGateway" | "bpmn:ServiceTask" | "bpmn:StartEvent" | "bpmn:EndEvent" | "bpmn:IntermediateCatchEvent" | "bpmn:IntermediateThrowEvent" | "bpmn:ScriptTask" | "bpmn:BoundaryEvent" | "bpmn:CallActivity" | "bpmn:SubProcess"

  #### Returns Promise<IEntityType<TEntity>>

### subscibeToNodeChannels

- subscibeToNodeChannels(node: INodeInstanceEntity): INodeInstanceEntity

- - Defined in entity_type_services/node_instance.ts:209

  #### Parameters

  - ##### node: INodeInstanceEntity

  #### Returns INodeInstanceEntity

Generated using TypeDoc